#Asher in
from eventAPI import *
from APIUtils import *

def fireEvent(e):
    AsherStat = getTag(e, "AsherStat1")
    ArgentPlt = getTag(e, "ArgentPlt1")
    if(AsherStat != 2):
        return 1

    if(ArgentPlt == 1):
        showMessage(e, ["You make it to the side of a large hole in the floor, and are greeted with horrifying screams"])
        showMessage(e, ["You hear small footsteps echoing up towards you, something is drawing closer"])
        showMessage(e, [""])
        showPicture(e, "argent")
        showMessage(e, ["It is Argent, the sanity is back in his eyes, but it is accompanied by fear and hysteria"])
        showMessage(e, ["\"Damn that woman, why did she do this?\""])
        showMessage(e, ["Argent looks up at you his face still twisted in a painful grimace"])
        showMessage(e, ["\"Rose is no more."])
        showMessage(e, ["The hourglass... the constructs", "something else was down there, something big"])
        showMessage(e, ["I was still under its influence when I heard Rose scream, it woke me to self-awareness, but was too late"])
        showMessage(e, ["I saw Rose... what remained of Rose... on the floor at my feet, I dropped the hourglass and ran"])
        showMessage(e, ["You should turn back and leave now, get out of here before those things come here and take more innocent lives"])
        showMessage(e, ["I can't believe Rose is... is...\""])
        showMessage(e, ["With that, Argent moves to one corner of the room, and begins to sob uncontrollably"])
        setTag(e, "ArgentPlt1", 2)

    showPicture(e, "Stairs_D")
    if (poseYesNo(e,
        ["You see a darkened hole in the floor here",
         "Do you climb down?"])):
        tickGame(e, 60)
        setExit(e, "maps/asher4.cfg", 3, 3, 90)
    return 0
